Bug 1320838 - [RFE] Support IdM Client in a DNS domain controlled by AD
Summary: [RFE] Support IdM Client in a DNS domain controlled by AD
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Varun Mylaraiah
QA Contact: Kaleem
Marc Muehlfeld
URL:
Whiteboard:
Keywords: Documentation, FutureFeature
Depends On:
Blocks: 1241714
TreeView+ depends on / blocked
 
Reported: 2016-03-24 07:14 UTC by Martin Kosek
Modified: 2016-11-04 05:52 UTC (History)
10 users (show)

(edit)
Documentation now describes configuration and limitations of IdM clients using an AD DNS host name

The Identity Management (IdM) documentation has been enhanced and now describes the configuration of IdM clients located in the DNS name space of a trusted Active Directory (AD) domain. Note that this is not a recommended configuration and has some limitations. For example, only password authentication is available to access these clients instead of single sign-on. Red Hat recommends to always deploy IdM clients in a DNS zone different from the ones owned by AD and access IdM clients through their IdM host names.

For detailed information, see https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Windows_Integration_Guide/ipa-in-ad-dns.html.
Clone Of:
(edit)
Last Closed: 2016-11-04 05:52:36 UTC


Attachments (Terms of Use)
Scenarios_for_Frankenstein_RFE (2.56 KB, text/plain)
2016-09-13 12:19 UTC, Varun Mylaraiah
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC
Red Hat Bugzilla 1323316 None None None 2019-06-10 12:21 UTC

Internal Trackers: 1323316

Description Martin Kosek 2016-03-24 07:14:24 UTC
Description of problem:
In many user environments, the potential IdM clients are in a DNS domain controlled by Active Directory (aka "Trust Frankenstein setup").

Requirement to migrate them all to an IdM controlled domain is not usually rather complicated. This bug is a request for procedure or a document on how to deploy IdM with a client hostname in an AD DNS domain.


User Story:
IDMRHEL-42: As an Administrator with a big number of Linux machines in a DNS domain controlled by Active Directory, I want to join them to the IdM Server so that they can benefit from it’s Linux focused features.

Comment 2 Petr Vobornik 2016-03-24 19:12:26 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5762

Comment 3 Petr Vobornik 2016-06-02 12:46:38 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5903

Comment 5 Martin Kosek 2016-06-10 08:08:33 UTC
The current recipe on joining clients from Windows controlled domain in FreeIPA/IdM domain is described in this article:

http://www.freeipa.org/page/V4/IPA_Client_in_Active_Directory_DNS_domain

Comment 6 Martin Kosek 2016-06-10 12:33:51 UTC
Ticket #5903 was fixed upstream:

https://fedorahosted.org/freeipa/changeset/f0160a2ed28325e46be2921ac44d71ee88d1b3b1/

Comment 11 Petr Vobornik 2016-07-20 14:24:37 UTC
can we switch component to LDI guide given that there is no code? (https://fedorahosted.org/freeipa/ticket/5903 was just a convenient helper)

Comment 12 Marc Muehlfeld 2016-07-21 07:03:08 UTC
I changed the component of the BZ and removed it from the RN list.

Comment 13 Martin Kosek 2016-07-21 11:51:45 UTC
(In reply to Petr Vobornik from comment #11)
> can we switch component to LDI guide given that there is no code?
> (https://fedorahosted.org/freeipa/ticket/5903 was just a convenient helper)

I do not think we should do that. There is 
#5903 always add mapping (my hostname) = (IPA realm) to krb5.conf
that can be tested that you mentioned.

I would like to use this Bugzilla as explicit exclamation of support levels of these scenarios, as described in the new documentation. At minimum, the Bugzilla can be used for tracking test coverage and automation.

Comment 14 Petr Spacek 2016-08-09 12:48:52 UTC
This setup is dicussed at length in following blog post:
http://rhelblog.redhat.com/2016/07/13/i-really-cant-rename-my-hosts/

Comment 18 Varun Mylaraiah 2016-09-13 12:19 UTC
Created attachment 1200480 [details]
Scenarios_for_Frankenstein_RFE

Verified
ipa-server-4.4.0-10.el7.x86_64

Comment 20 errata-xmlrpc 2016-11-04 05:52:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.